## golang-github-andreykaipov-goobs 0.7.1+ds1

=== debian/changelog ===
golang-github-andreykaipov-goobs (0.7.1+ds1-3) unstable; urgency=medium

  * add options to customize underlying dialer and request headers (#25)
  * Set goobs version to Debian package version

 -- Benjamin Drung <bdrung@debian.org>  Thu, 02 Dec 2021 23:23:34 +0100

golang-github-andreykaipov-goobs (0.7.1+ds1-2) unstable; urgency=medium

  * No-change upload to build on buildd.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 27 Nov 2021 01:11:25 +0100

golang-github-andreykaipov-goobs (0.7.1+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1000487)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 24 Nov 2021 00:38:27 +0100

## golang-github-andreykaipov-goobs 0.8.0

=== Makefile ===
default:
	@echo "Please specify a task:"
	@awk -F: '/^[^\t#.]+:[^=)]+?$$/ {print "-",$$1}' Makefile | tail -n+2 | sort

test: unit e2e

unit:
	cd internal; go test -v -count 1 ./...

.PHONY: e2e
e2e:
	@echo Setting up headless OBS for e2e...
	@docker stop goobs-e2e >/dev/null 2>&1 || true
	@docker run --rm --detach --name goobs-e2e -p 4545:4444 ghcr.io/andreykaipov/goobs/e2e >/dev/null
	@sleep 1 # lol
	go test -v -coverpkg ./... -coverprofile cover.out -v ./e2e/...
	go tool cover -html cover.out -o cover.html
	@docker stop goobs-e2e >/dev/null

generate: clean
	cd internal; go run ./comments/
	cd internal; go build -o bin/ github.com/segmentio/golines
	./internal/bin/golines --shorten-comments --max-len=120 --reformat-tags --write-output api

clean:
	find . -name '*_generated.*.go' -exec rm -f {} \;
	find . -type d -empty -delete
	find . -type d -name bin -prune -exec rm -rf {} \;

=== debian/changelog ===
golang-github-andreykaipov-goobs (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop backported patches
  * Update copyright to 2022

 -- Benjamin Drung <bdrung@debian.org>  Sat, 01 Jan 2022 13:39:20 +0100

=== debian/control ===
Source: golang-github-andreykaipov-goobs
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-dave-jennifer-dev,
               golang-github-gorilla-websocket-dev,
               golang-github-nu7hatch-gouuid-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-text-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-andreykaipov-goobs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-andreykaipov-goobs.git
Homepage: https://github.com/andreykaipov/goobs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/andreykaipov/goobs

Package: golang-github-andreykaipov-goobs-dev
Architecture: all
Depends: golang-github-dave-jennifer-dev,
         golang-github-gorilla-websocket-dev,
         golang-github-nu7hatch-gouuid-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-text-dev,
         ${misc:Depends},
Description: control OBS Studio via WebSockets (Go library)
 goobs is a Go client library for controlling Open Broadcaster Software (OBS)
 studio via WebSockets (using obs-websocket).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build
	sed -i "s/^\(var version =\).\+$$/\1 \"$(DEB_VERSION)\"/g" _build/src/github.com/andreykaipov/goobs/client.go

override_dh_auto_install:
	dh_auto_install -- --no-binaries

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-andreykaipov-goobs-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/andreykaipov/goobs/tags .*/v?(\d\S*)\.tar\.gz debian
